package com.ichaoj.ams.script.zksync2.cross;

import com.ichaoj.ams.script.IScript;
import com.ichaoj.ams.script.SResult;
import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;
import com.ichaoj.ams.script.zksync2.swap.ZksyncSwapEthForUsdcScript;
import org.junit.jupiter.api.Test;

import java.util.HashMap;

import static org.junit.jupiter.api.Assertions.*;

class ZkSyncCrossScriptTest {
    @Test
    void cross() {
        IScript script = new ZkSyncCrossScript();

        HashMap<String, AirdropParam> params = new HashMap<>();
        params.put("minAmount", new AirdropParam("minAmount", null, "0.002"));
        params.put("maxAmount", new AirdropParam("maxAmount", null, "0.004"));
        params.put("accuracy", new AirdropParam("accuracy", null, "5"));
        params.put("l2Gas", new AirdropParam("l2Gas", null, "0.001"));
        params.put("l2GasLimit", new AirdropParam("l2GasLimit", null, "901876"));
        AirdropWallet airdropWallet = new AirdropWallet();
        airdropWallet.setAddress("0x368715F09C1AB5E0B55bF5bA19cD887189A28DBE");
        airdropWallet.setPrivateKey("f9eac039449802f20cf0a38bc0b6f4064508fa61897d9c4fcb6cb66bd1311674");
        SResult sResult = script.run(params, airdropWallet);
        System.out.println(sResult);
    }
}